﻿@model InsightHub.Web.Areas.Admin.Models.UserViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div>
    <h4>User</h4>
    <hr />
    <dl class="row text-dark">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Id)
        </dt>
        <dt class="col-sm-10">
            @Html.DisplayFor(model => model.Id)
        </dt>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.UserName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.UserName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.FirstName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.LastName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.LastName)
        </dd>
    </dl>
</div>
<div>
    <div class="row">
        <div class="col-sm-12 text-left">
            @if (!Model.IsApproved)
            {
                <a asp-action="Approve" asp-route-id="@Model.Id" class="btn btn-success">Approve</a>
            }
            else
            {
                <a asp-action="Ban" asp-route-id="@Model.Id" class="btn btn-warning">Ban</a>
            }
            <a asp-action="Delete" asp-route-id="@Model.Id" class="btn btn-danger">Delete</a>
            <br />
        </div>

    </div>
    <br />
    <a asp-action="Index" class="btn btn-outline-primary">Back to List</a>
</div>
            
